Subject: Re: draft-ietf-pilc-error-07.txt - some fixes requested by IESG

From: Mark Allman <[email-masked]>
Date: Wed, 23 May 2001 22:37:41 -0400

Allison-

>    "Limited Transmit" [RFC3042] has been specified as an optimization
>    extending Fast Retransmit/Fast Recovery for TCP connections with
>    small congestion windows that won't generate three duplicate
>    acknowledgements. This specification is deemed safe, and it also provides
>    benefits for TCP connections with larger congestion windows when
>    losses occur at or near the right edge of the window. Implementors
>    should evaluate this standards track specification for TCP in
>    loss environments.

I do not think I agree with the above text.  Or, more specifically
the part that says "when losses occur at or near the right edge of
the window".  Presumably the segments at the left side of the window
will clock out new segments that will in turn generate duplicate
ACKs before limited transmit kicks in.  

I think when there is enough window to get three dup ACKs limited
transmit is only of real value when there is lots of data or ACK
loss (or, both) such that we would not naturally trigger fast
retransmit.

allman

---
Mark Allman -- NASA GRC/BBN -- http://roland.grc.nasa.gov/~mallman/

---

From: Allison Mankin <[email-masked]>
Date: Thu, 24 May 2001 10:52:05 -0400

Mark,

Doesn't the text mean that if the loss is at the right edge,
the next recourse is an RTO and rxt, because the left edge
sourcing is stopped because the window is full?